#!/bin/sh

LOGS_DIR=logs
PAUSE=1

run_scheduler_tests() {
	sos_tester -t 20000 -n 20 -p 30 99 >$1/sos_tester_output_20_30-99_$2.txt
	sleep $PAUSE
	sos_tester -t 20000 -n 20 -p 80 99 >$1/sos_tester_output_20_80-99_$2.txt
	sleep $PAUSE
	sos_tester -t 20000 -n 20 -p 93 99 >$1/sos_tester_output_20_93-99_$2.txt
	sleep $PAUSE
}

cd "$(dirname "$0")"

alert --warning "During tests system will hang up for a while. To get most accurate results quit all other applications and don't run any tasks until tests finish." "Begin" "Cancel">/dev/null 2>&1
result=$?

if [ $result -eq 0 ]
then
	mkdir $LOGS_DIR>/dev/null 2>&1
	run_scheduler_tests $LOGS_DIR $1
	alert --info "Finished. Feel free to examine logs." "OK">/dev/null 2>&1
fi
